import request from "@/utils/request"

// 刷新令牌
export const refreshToken = async (refreshToken) => {
  return await request.post({
    url: '/menduner/system/auth/refresh-token',
    params: {
      refreshToken
    },
    custom: {
      showLoading: false,
      showError: false
    }
  })
}

// 发送手机验证码
export const sendSmsCode = async (mobile, scene) => {
  return await request.post({
    url: '/menduner/system/auth/send-sms-code',
    data: {
      phone: mobile,
      scene
    },
    custom: {
      loadingMsg: '发送中',
      showSuccess: true,
      successMsg: '发送成功'
    }
  })
}